Package org.apache.sling.commons.testing.osgi

# Class MockBundle

java.lang.Object
org.apache.sling.commons.testing.osgi.MockBundle

All Implemented Interfaces:
  `Comparable<org.osgi.framework.Bundle>`, `org.osgi.framework.Bundle`

public class MockBundle extends Object implements org.osgi.framework.Bundle

## Field Summary

### Fields inherited from interface org.osgi.framework.Bundle

`ACTIVE, INSTALLED, RESOLVED, SIGNERS_ALL, SIGNERS_TRUSTED, START_ACTIVATION_POLICY, START_TRANSIENT, STARTING, STOP_TRANSIENT, STOPPING, UNINSTALLED`

## Constructor Summary

Constructors
Constructor
Description
`MockBundle(long bundleId)`

## Method Summary

Modifier and Type
Method
Description
`<A> A`
`adapt(Class<A> type)`
`int`
`compareTo(org.osgi.framework.Bundle o)`
`Enumeration<URL>`
`findEntries(String path, String filePattern, boolean recurse)`
`org.osgi.framework.BundleContext`
`getBundleContext()`
`long`
`getBundleId()`
`File`
`getDataFile(String filename)`
`URL`
`getEntry(String name)`
`Enumeration<String>`
`getEntryPaths(String path)`
`Dictionary<String,String>`
`getHeaders()`
`Dictionary<String,String>`
`getHeaders(String locale)`
`long`
`getLastModified()`
`String`
`getLocation()`
`org.osgi.framework.ServiceReference[]`
`getRegisteredServices()`
`URL`
`getResource(String name)`
`Enumeration<URL>`
`getResources(String name)`
`org.osgi.framework.ServiceReference[]`
`getServicesInUse()`
`Map`
`getSignerCertificates(int signersType)`
`int`
`getState()`
`String`
`getSymbolicName()`
`org.osgi.framework.Version`
`getVersion()`
`boolean`
`hasPermission(Object permission)`
`Class<?>`
`loadClass(String name)`
`void`
`start()`
`void`
`start(int options)`
`void`
`stop()`
`void`
`stop(int options)`
`void`
`uninstall()`
`void`
`update()`
`void`
`update(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockBundle

public MockBundle(long bundleId)

## Method Details

### getBundleId

public long getBundleId()

Specified by:
  `getBundleId` in interface `org.osgi.framework.Bundle`

### findEntries

public Enumeration<URL> findEntries(String path, String filePattern, boolean recurse)

Specified by:
  `findEntries` in interface `org.osgi.framework.Bundle`

### getEntry

public URL getEntry(String name)

Specified by:
  `getEntry` in interface `org.osgi.framework.Bundle`

### getEntryPaths

public Enumeration<String> getEntryPaths(String path)

Specified by:
  `getEntryPaths` in interface `org.osgi.framework.Bundle`

### getHeaders

public Dictionary<String,String> getHeaders()

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

### getHeaders

public Dictionary<String,String> getHeaders(String locale)

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

### getLastModified

public long getLastModified()

Specified by:
  `getLastModified` in interface `org.osgi.framework.Bundle`

### getLocation

public String getLocation()

Specified by:
  `getLocation` in interface `org.osgi.framework.Bundle`

### getRegisteredServices

public org.osgi.framework.ServiceReference[] getRegisteredServices()

Specified by:
  `getRegisteredServices` in interface `org.osgi.framework.Bundle`

### getResource

public URL getResource(String name)

Specified by:
  `getResource` in interface `org.osgi.framework.Bundle`

### getResources

public Enumeration<URL> getResources(String name)

Specified by:
  `getResources` in interface `org.osgi.framework.Bundle`

### getServicesInUse

public org.osgi.framework.ServiceReference[] getServicesInUse()

Specified by:
  `getServicesInUse` in interface `org.osgi.framework.Bundle`

### getState

public int getState()

Specified by:
  `getState` in interface `org.osgi.framework.Bundle`

### getSymbolicName

public String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `org.osgi.framework.Bundle`

### hasPermission

public boolean hasPermission(Object permission)

Specified by:
  `hasPermission` in interface `org.osgi.framework.Bundle`

### loadClass

public Class<?> loadClass(String name) throws ClassNotFoundException

Specified by:
  `loadClass` in interface `org.osgi.framework.Bundle`
Throws:
  `ClassNotFoundException`

### start

public void start()

Specified by:
  `start` in interface `org.osgi.framework.Bundle`

### stop

public void stop()

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`

### uninstall

public void uninstall()

Specified by:
  `uninstall` in interface `org.osgi.framework.Bundle`

### update

public void update()

Specified by:
  `update` in interface `org.osgi.framework.Bundle`

### update

public void update(InputStream in)

Specified by:
  `update` in interface `org.osgi.framework.Bundle`

### getBundleContext

public org.osgi.framework.BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `org.osgi.framework.Bundle`

### start

public void start(int options) throws org.osgi.framework.BundleException

Specified by:
  `start` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

### stop

public void stop(int options) throws org.osgi.framework.BundleException

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

### getSignerCertificates

public Map getSignerCertificates(int signersType)

Specified by:
  `getSignerCertificates` in interface `org.osgi.framework.Bundle`

### getVersion

public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in interface `org.osgi.framework.Bundle`

### compareTo

public int compareTo(org.osgi.framework.Bundle o)

Specified by:
  `compareTo` in interface `Comparable<org.osgi.framework.Bundle>`

### adapt

public <A> A adapt(Class<A> type)

Specified by:
  `adapt` in interface `org.osgi.framework.Bundle`

### getDataFile

public File getDataFile(String filename)

Specified by:
  `getDataFile` in interface `org.osgi.framework.Bundle`